<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_231) on Fri Dec 06 14:58:24 GMT 2019 -->
<title>Deck</title>
<meta name="date" content="2019-12-06">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Deck";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/Deck.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../cards/CommunityChest.html" title="class in cards"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li>Next&nbsp;Class</li>
</ul>
<ul class="navList">
<li><a href="../index.html?cards/Deck.html" target="_top">Frames</a></li>
<li><a href="Deck.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">cards</div>
<h2 title="Class Deck" class="title">Class Deck</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>cards.Deck</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public class <span class="typeNameLabel">Deck</span>
extends java.lang.Object</pre>
<div class="block">Builds a deck of either card type</div>
<dl>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd>1</dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../cards/Deck.html#DECKLENGTH">DECKLENGTH</a></span></code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../cards/Deck.html#Deck-cards.CardType-">Deck</a></span>(<a href="../cards/CardType.html" title="enum in cards">CardType</a>&nbsp;type)</code>
<div class="block">Generates an ArrayList of indexed card numbers from 0 to 16
 These Correspond to a list of cards in text files which can be searched when drawn</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../cards/Deck.html#drawCard--">drawCard</a></span>()</code>
<div class="block">Drawing a card from the deck
 Get the cardNumber, then remove it from the deck, if it's not a get out of jail free card
 return it to the bottom</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>java.util.ArrayList&lt;java.lang.Integer&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../cards/Deck.html#getDeck--">getDeck</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code><a href="../cards/CardType.html" title="enum in cards">CardType</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../cards/Deck.html#getDeckType--">getDeckType</a></span>()</code>
<div class="block">Returns the type of deck (chance or community chest)</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../cards/Deck.html#moveToBottom-int-">moveToBottom</a></span>(int&nbsp;cardNumber)</code>
<div class="block">Puts a card at the bottom of the deck</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../cards/Deck.html#setDeck-java.util.ArrayList-">setDeck</a></span>(java.util.ArrayList&lt;java.lang.Integer&gt;&nbsp;deck)</code>&nbsp;</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../cards/Deck.html#setDeckType-cards.CardType-">setDeckType</a></span>(<a href="../cards/CardType.html" title="enum in cards">CardType</a>&nbsp;deckType)</code>&nbsp;</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../cards/Deck.html#shuffle--">shuffle</a></span>()</code>
<div class="block">Shuffles the deck
 Uses collections.shuffle</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="DECKLENGTH">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>DECKLENGTH</h4>
<pre>public static final&nbsp;int DECKLENGTH</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../constant-values.html#cards.Deck.DECKLENGTH">Constant Field Values</a></dd>
</dl>
</li>
</ul>
</li>
</ul>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="Deck-cards.CardType-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>Deck</h4>
<pre>public&nbsp;Deck(<a href="../cards/CardType.html" title="enum in cards">CardType</a>&nbsp;type)</pre>
<div class="block">Generates an ArrayList of indexed card numbers from 0 to 16
 These Correspond to a list of cards in text files which can be searched when drawn</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>type</code> - </dd>
</dl>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="drawCard--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>drawCard</h4>
<pre>public&nbsp;int&nbsp;drawCard()</pre>
<div class="block">Drawing a card from the deck
 Get the cardNumber, then remove it from the deck, if it's not a get out of jail free card
 return it to the bottom</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>card</dd>
</dl>
</li>
</ul>
<a name="shuffle--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>shuffle</h4>
<pre>public&nbsp;void&nbsp;shuffle()</pre>
<div class="block">Shuffles the deck
 Uses collections.shuffle</div>
</li>
</ul>
<a name="getDeckType--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getDeckType</h4>
<pre>public&nbsp;<a href="../cards/CardType.html" title="enum in cards">CardType</a>&nbsp;getDeckType()</pre>
<div class="block">Returns the type of deck (chance or community chest)</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>deckType</dd>
</dl>
</li>
</ul>
<a name="moveToBottom-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>moveToBottom</h4>
<pre>public&nbsp;void&nbsp;moveToBottom(int&nbsp;cardNumber)</pre>
<div class="block">Puts a card at the bottom of the deck</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>cardNumber</code> - </dd>
</dl>
</li>
</ul>
<a name="getDeck--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getDeck</h4>
<pre>public&nbsp;java.util.ArrayList&lt;java.lang.Integer&gt;&nbsp;getDeck()</pre>
</li>
</ul>
<a name="setDeck-java.util.ArrayList-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setDeck</h4>
<pre>public&nbsp;void&nbsp;setDeck(java.util.ArrayList&lt;java.lang.Integer&gt;&nbsp;deck)</pre>
</li>
</ul>
<a name="setDeckType-cards.CardType-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>setDeckType</h4>
<pre>public&nbsp;void&nbsp;setDeckType(<a href="../cards/CardType.html" title="enum in cards">CardType</a>&nbsp;deckType)</pre>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/Deck.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../cards/CommunityChest.html" title="class in cards"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li>Next&nbsp;Class</li>
</ul>
<ul class="navList">
<li><a href="../index.html?cards/Deck.html" target="_top">Frames</a></li>
<li><a href="Deck.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
